Linux und Ich

Blog über Ubuntu, Linux, Android und IT

64-Bit Ubuntu

7. Mai 2013
von Christoph Langner
6 Kommentare

Getlibs für aktuelle Ubuntu-Versionen (getestet auf Ubuntu Raring Ringtail 13.04)

Früher ™ gab es mal ein praktisches kleines Tool namens Getlibs. Es diente dazu 32-Bit Bibliotheken auf einem 64-Bit Ubuntu (oder auch anderen Distrubutionen) zu installieren. So konnte man sehr einfach 32-Bit Programme unter einem 64-Bit Linux laufen lassen, auch wenn es die nötigen Bibliotheken nicht gleich mitbringt. Vor einigen Jahren musste man sich zum Beispiel bei Skype oder Zattoo damit rumschlagen, heute ist das aber meist nicht mehr nötig.

[UPDATE…] Ach, vergesst bitte gleich den ganzen Getlibs-Schmarn. Multiarch ist nicht spurlos an mir vorbeigegangen. Aber dass es so einfach ist, wusste ich nicht. Wenn ihr also eine Bibliothek — oder was auch immer sonst — braucht, dann hängt einfach ein :i386 an den Paketnamen. Mit dem Auruf…

$ sudo apt-get install libqt5gui5:i386

…landet also die Bibliothek libqt5gui5 inklusive aller 32-Bit Abhängigkeiten auf eurem System, ohne dass man groß was basteln muss. Und damit könnt ihr den Rest des ganzen Beitrags gleich wieder knicken und ab in den Kompost schicken. [/UPDATE]

Inzwischen ist die Version 2.06 von Getlibs jedoch kaputt. Man kann die Anwendung zwar noch installieren und aufrufen, und selbst beim Installieren von 32-Bit Bibliotheken wird kein Fehler im Terminal ausgegeben, das 32-Bit Programm möchte aber dennoch nicht laufen. Der Grund dafür ist, dass sich seit Ubuntu “Natty” 11.04 der Speicherort der 32-Bit Librarys geändert hat. Getlibs wurde auf diese Neuerung hin nie aktualisiert…

  • /lib32/-> /lib/i386-linux-gnu
  • /usr/lib32/ -> /usr/lib/i386-linux-gnu

Da ich gerade selber vor dem Problem stand ein 32-Bit Programm auf meinem 64-Bit Ubuntu 13.04 laufen lassen zu wollen, zu dem eben die nötigen  32-Bit Bibliotheken fehlten, habe ich einen Fork der letzten Getlibs-Version 2.06 erstellt, diesen für aktuelle Ubuntus fit gemacht und ihn in meinem GitHub als Getlibs 2.07 online gestellt. Ihr könnt das aktualisierte Getlibs dementsprechend über die Kommandos…

$ wget https://gist.github.com/linuxundich/5536156/raw -O ~/bin/getlibs
$ chmod +x ~/bin/getlibs

…auf eurem Ubuntu installieren. Zur Bedienung verweise ich auf das sehr gut geschriebene Wiki bei den Ubuntuusers. Getestet habe ich die Version nicht breit, sondern nur auf meinem Ubuntu 13.04, aber ich denke die aktualisierte Version des Skripts sollte auf allen noch unterstützten Ubuntu-Versionen funktionieren. Solltet Ihr Probleme entdecken, dann meldet euch bitte bei mir.